Subject: Re: installer failed in mkfs.ext4 when installing to the same USB drive
From: Christine Lemmer-Webber <[email-masked]>
To: Dan Connolly <[email-masked]>
Cc: [email-masked]
Date: Sun, 09 Jan 2022 09:08:58 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

I wonder if what you're really looking for is "guix system image", which
will build something that is basically "pre-configured" for bootable
media you can use:

  https://guix.gnu.org/cookbook/en/html_node/Guix-System-Image-API.html

However, I'm not sure how to combine it with an encrypted volume.

(One advantage of this path is that you can test your built image in a
VM before you try booting it and writing it to a USB key, btw.)

Dan Connolly <[email-masked]> writes:

> I'm installing from a USB thumb drive. I'd like to use the thumb drive
> as the disk for the machine. The installer gave me the option to do
> so, but then it crashed.
>
> I can imagine that installing on the installation media is not
> supported. Perhaps the installer should have prevented me from doing
> so?
>
> p.e. Please excuse the use of an image of the text. I see "The
> backtrace is displayed below. Please report it by email ..." and I the
> only option that occurs to me is to take an image and send it from
> another computer.